package com.judong.chuanyiserver.enums;

public enum ServerEnum {

    UNKNOWN("未知"), CLIENT("客户端"), SERVER("服务端");

    private String name;

    private ServerEnum(String name) {
        this.name = name;
    }

    public static String getName(String name) {
        for (ServerEnum c : ServerEnum.values()) {
            if (c.getName().equalsIgnoreCase(name)) {
                return c.name;
            }
        }
        return "";
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

}
